[PATCH 1 of 3] convert: Add testcase for convert authormap

Marti Raudsepp marti at juffo.org
Sat Mar 14 07:39:32 CDT 2009


# HG changeset patch
# User Marti Raudsepp <marti at juffo.org>
# Date 1237033868 -7200
# Node ID 4c4f8257cd43d5a8ad1002f9348979c0dfef6ffc
# Parent  a536b9a43227db025d0991c689ed844fe34e8279
convert: Add testcase for convert authormap.

diff --git a/tests/test-convert-authormap b/tests/test-convert-authormap
new file mode 100755
--- /dev/null
+++ b/tests/test-convert-authormap
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+cat >> $HGRCPATH <<EOF
+[extensions]
+convert=
+EOF
+
+# Prepare orig repo
+hg init orig
+cd orig
+echo foo > foo
+HGUSER='user name' hg ci -qAm 'foo' -d '0 0'
+cd ..
+
+# Explicit --authors
+cat > authormap.txt <<EOF
+user name = Long User Name
+EOF
+
+hg convert --authors authormap.txt orig new
+echo $?
+cat new/.hg/authormap
+
+hg -Rnew log
+rm -rf new
+
+# Implicit .hg/authormap
+hg init new
+mv authormap.txt new/.hg/authormap
+
+hg convert orig new
+echo $?
+
+hg -Rnew log
diff --git a/tests/test-convert-authormap.out b/tests/test-convert-authormap.out
new file mode 100644
--- /dev/null
+++ b/tests/test-convert-authormap.out
@@ -0,0 +1,25 @@
+initializing destination new repository
+scanning source...
+sorting...
+converting...
+0 foo
+Writing author map file new/.hg/authormap
+0
+user name=Long User Name
+changeset:   0:d89716e88087
+tag:         tip
+user:        Long User Name
+date:        Thu Jan 01 00:00:00 1970 +0000
+summary:     foo
+
+scanning source...
+sorting...
+converting...
+0 foo
+0
+changeset:   0:d89716e88087
+tag:         tip
+user:        Long User Name
+date:        Thu Jan 01 00:00:00 1970 +0000
+summary:     foo
+


More information about the Mercurial-devel mailing list